Name:          netty-reactive-streams
Version:       1.0.5
Release:       1%{?dist}
Summary:       Reactive streams implementation for Netty
License:       ASL 2.0
URL:           https://github.com/typesafehub/netty-reactive-streams/
Source0:       https://github.com/typesafehub/netty-reactive-streams/archive/%{name}-parent-%{version}.tar.gz
# Not available LICENSE file in source directory structure
# All java source files are without license headers
# https://github.com/typesafehub/netty-reactive-streams/issues/11
Source1:       http://www.apache.org/licenses/LICENSE-2.0.txt

BuildRequires: maven-local
# netty:4.0.34.Final
BuildRequires: mvn(io.netty:netty-codec-http)
BuildRequires: mvn(io.netty:netty-handler)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.reactivestreams:reactive-streams)
BuildRequires: mvn(org.reactivestreams:reactive-streams-tck)
BuildRequires: mvn(org.testng:testng)

BuildArch:     noarch

%description
Netty Reactive Streams provides a reactive streams implementation for Netty.
Essentially it comes in the form of two channel handlers, one that publishes
inbound messages received on a channel to a Publisher, and another that writes
messages received by a Subscriber outbound.

%package http
Summary:       Netty Reactive Streams HTTP support

%description http
Netty Reactive Streams HTTP support.

%package parent
Summary:       Netty Reactive Streams Parent POM

%description parent
Netty Reactive Streams Parent POM.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-parent-%{version}

cp -p %SOURCE1 LICENSE
sed -i 's/\r//' LICENSE

# Unavailable plugins
%pom_remove_plugin :nexus-staging-maven-plugin
# Unneeded tasks
%pom_remove_plugin :maven-release-plugin

# Unavailable test dep com.typesafe.akka:akka-stream_2.11:2.4.2
%pom_remove_dep -r com.typesafe.akka:
rm -r netty-reactive-streams-http/src/test/java

# Add OSGi support
for p in %{name} %{name}-http; do
%pom_xpath_set "pom:project/pom:packaging" bundle ${p}
%pom_add_plugin org.apache.felix:maven-bundle-plugin:2.3.7 ${p} '
<extensions>true</extensions>
<executions>
  <execution>
    <id>bundle-manifest</id>
    <phase>process-classes</phase>
    <goals>
      <goal>manifest</goal>
    </goals>
  </execution>
</executions>'
done

%mvn_file :%{name} %{name}
%mvn_file :%{name}-http %{name}-http

%build

%mvn_build -s -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles-%{name}
%doc README.md
%license LICENSE

%files http -f .mfiles-%{name}-http
%files parent -f .mfiles-%{name}-parent
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Sat Apr 16 2016 gil cattaneo <puntogil@libero.it> 1.0.5-1
- initial rpm

